// Copyright 1998-2014 Epic Games, Inc. All Rights Reserved.

#include "IntroLoading.h"
#include "LoadingScreen/Public/LoadingScreen.h"
#include "GameMode_Intro.h"

AGameMode_Intro::AGameMode_Intro(const class FPostConstructInitializeProperties& PCIP)
	: Super(PCIP)
{

}


void AGameMode_Intro::BeginPlay()
{
	if (GEngine)
	{
		GEngine->AddOnScreenDebugMessage(-1, 30, FColor::Green, TEXT("Start"));
	}

	ILoadingScreenModule* LoadingScreenModule = FModuleManager::LoadModulePtr<ILoadingScreenModule>("LoadingScreen");
	if (LoadingScreenModule != NULL)
	{
		LoadingScreenModule->StartIntro();
	}
}